List sites by tenant.

Permission Level: Read

GET /users/site

Operation id: SiteService_ListSites

Tags: SiteService

Parameters

Query parameters

NameTypeRequiredDescription
domainstringNoDomain of the site (example: zpa, reflexis, wfc, etc), Required: false
excludeTenantIdsarrayNoList of tenant IDs to exclude. Required: false
genericFilterstringNoGeneric filter for site fields (name, parent, displayName) If it contains a whitespace, it splits the text and filter by both words. Required: false
includeUsersbooleanNoWhether to include list of users who belong to the site. Required : false
levelFilter.levelFilterTypestringNoEnum to define the type of filtering, Required: false, Default: EQUALS
levelFilter.siteTierstringNoSite tier to filter by, Required: true
pageSizeinteger (int32)NoItems per page. Required: false
pageTokenstringNoMongo DB Field, describes the encoded page token for page traversal, Required: false
scopestringNoScope of the site , Required: false
sortFieldstringNoSort field valid values: name, parent, displayName, lastUpdated. Default: name, Required: false
sortTypestringNoSort Type for the results, Default: ASC, Required: false
specificFilter.displayNamestringNoOnly non blank
specificFilter.hierarchyNodeSpecificFilter.isHierarchyNodebooleanNo
specificFilter.parentSpecificFilter.parentstringNo
startsWithSingleCharacterbooleanNoAbility to search for a single starts with character, only applicable to specific_filter: display_name, Required: false, Default: false
statusInScopestringNoThe enabled status of the site's scope in this request to search on, Default: enabled, Required: false - ENTITY_ENABLED: Entity is enabled - ENTITY_DISABLED: Entity is disabled - ENTITY_BOTH_ENABLED_DISABLED: Entity either enabled or disabled
tenantIdstringNoTenant of the site. Required: false

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
sitesarrayNo
nextPageTokenstringNo
{
  "type": "object",
  "properties": {
    "sites": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string"
          },
          "parent": {
            "type": "string"
          },
          "tenantId": {
            "type": "string"
          },
          "ancestors": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "descendants": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "displayName": {
            "type": "string"
          },
          "attributes": {
            "type": "array",
            "items": {
              "type": "object"
            }
          },
          "users": {
            "type": "array",
            "items": {
              "type": "object"
            }
          },
          "enabledScopes": {
            "type": "object"
          },
          "creationTime": {
            "type": "string",
            "format": "date-time"
          },
          "domain": {
            "type": "string"
          },
          "lastUpdated": {
            "type": "string",
            "format": "date-time"
          },
          "description": {
            "type": "string"
          },
          "expiration": {
            "type": "object"
          },
          "siteType": {
            "type": "string"
          },
          "siteTier": {
            "type": "string"
          },
          "isHierarchyNode": {
            "type": "boolean",
            "description": "True if is a Retail Operating Model \"Hierarchy Node\", false if it is a Retail Operating Model \"Site\".\nDefaults to a Retail Operating Model \"Site\" if not included."
          }
        }
      }
    },
    "nextPageToken": {
      "type": "string"
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}